Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.apphosting.api
Class ApiProxy.LogRecord

    java.lang.Object
      com.google.apphosting.api.ApiProxy.LogRecord

Enclosing class:
  ApiProxy

    public static final class ApiProxy.LogRecord

extends java.lang.Object

`LogRecord` represents a single apphosting log entry, including a Java-specific logging level, a timestamp in microseconds, and a message a formatted string containing the rest of the logging information (e.g. class and line number information, the message itself, the stack trace for any exception associated with the log record, etc.).

Nested Class Summary
`static class` | `ApiProxy.LogRecord.Level`

Constructor Summary
`ApiProxy.LogRecord(ApiProxy.LogRecord.Level level, long timestamp, java.lang.String message)`
`ApiProxy.LogRecord(ApiProxy.LogRecord other, java.lang.String message)` A partial copy constructor.

Method Summary
`ApiProxy.LogRecord.Level` | `getLevel()`
`java.lang.String` | `getMessage()`
`long` | `getTimestamp()` Returns the timestamp of the the log message, in microseconds.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApiProxy.LogRecord

    public ApiProxy.LogRecord(ApiProxy.LogRecord.Level level,
                              long timestamp,
                              java.lang.String message)

### ApiProxy.LogRecord

    public ApiProxy.LogRecord(ApiProxy.LogRecord other,
                              java.lang.String message)

  A partial copy constructor.

  Parameters:
    `other` - A `LogRecord` from which to copy the `level` and `timestamp` but not the `message`
    `message` -

Method Detail

### getLevel

    public ApiProxy.LogRecord.Level getLevel()

### getTimestamp

    public long getTimestamp()

  Returns the timestamp of the the log message, in microseconds.

### getMessage

    public java.lang.String getMessage()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD